Doomsday Engine - Bug #536

Escape key has no effect.
2008-10-09 22:38 - mochtroid-x

Status: Closed Start date: 2008-10-09
Priority: Normal % Done: 100%
Assignee:

Category:

Target version:

Description

While you can bring up the menu with it once Doomsday starts, any other use of esc has no effect - e.g. esc does not pause the
game or esc does not take you out of the menu while changing game settings/controls.

Labels: Controllers

History

#1 - 2008-10-10 13:39 - danij

Esc works just fine for me, for both entering and exiting the menu. It isn't set to pause the game by default.
More info is needed please.

#2 - 2008-10-16 03:26 - mochtroid-x

When | said pause, | meant how in single player it would pause the game and bring up the menu. You can bring up the menu when you first start the
game up, but that is it. Once you start configuring options or begin/load a game then it just doesn't work anymore.

#3 - 2008-10-16 03:27 - mochtroid-x

"You can bring up the menu when you first start the game..."
should be:

"You can bring up the menu when you first start Doomsday..."

#4 - 2008-12-04 21:49 - danij

Is this still a problem with the current svn version?

#5 - 2008-12-09 09:03 - danij

Perhaps you are using cfg files with old/broken control bindings? Try removing them and see if the problem is resolved.
#6 - 2008-12-09 21:38 - mochtroid-x

After running through newer SVNs | think it may have just been a misunderstanding of a feature that | wasn't immediately aware of - the fact that you
can change the buttons for just about every action instead of just things like gameplay.
